#ifndef RASP_H_
#define RASP_H_
#include <librasp-netapi.h>
#include "wios.h"
#include "util.h"
#include "lsf.h"
#include "wios_util.h"

extern wios_format_handler_t const * wios_set_rasp_format_handler(void);

int da_monoral_flag;  /* ボードごとに異なるデータを出力するか */
int lb_flag;          /* ループバックを使用するか */

/* ゲインの値を一括で設定した場合に使われる */
int rasp_da_gain_val;    /* DA用ゲイン値 */
int rasp_ad_gain_val;    /* AD用ゲイン値 */
/* ゲインの値をチャンネルごとに設定した場合に使われる */
char * rasp_da_gain_str; /* DA用ゲイン値のリスト */
char * rasp_ad_gain_str; /* AD用 */

char * rasp_da_lb_ch_str; /* DAをループバックにするチャンネルのリスト */
char * rasp_ad_lb_ch_str; /* AD */
#endif
